Package org.bukkit.event.player

# Class PlayerItemBreakEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerItemBreakEvent

public class PlayerItemBreakEvent extends PlayerEvent
Fired when a player's item breaks (such as a shovel or flint and steel).

After this event, the item's amount will be set to `item amount - 1` and its durability will be reset to 0.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerItemBreakEvent(@NotNull Player player, @NotNull ItemStack brokenItem)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull ItemStack`
`getBrokenItem()`
Gets the item that broke
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerItemBreakEvent

public PlayerItemBreakEvent(@NotNull @NotNull Player player, @NotNull @NotNull ItemStack brokenItem)

## Method Details

### getBrokenItem

@NotNull public @NotNull ItemStack getBrokenItem()
Gets the item that broke

Returns:
  The broken item

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()